nxt.shuffling

## Class Shuffler

- java.lang.Object
- - nxt.shuffling.Shuffler

-     public final class Shuffler
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Shuffler.ControlledAccountException`
    `static class` | `Shuffler.DuplicateShufflerException`
    `static class` | `Shuffler.Event`
    `static class` | `Shuffler.InvalidRecipientException`
    `static class` | `Shuffler.InvalidStageException`
    `static class` | `Shuffler.ShufflerException`
    `static class` | `Shuffler.ShufflerLimitException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<Shuffler> listener, Shuffler.Event eventType)`
    `static Shuffler` | `addOrGetShuffler(ChildChain childChain, java.lang.String secretPhrase, byte[] recipientPublicKey, byte[] shufflingFullHash, long feeRateNQTPerFXT)`
    `long` | `getAccountId()`
    `static java.util.List<Shuffler>` | `getAccountShufflers(long accountId)`
    `static java.util.List<Shuffler>` | `getAllShufflers()`
    `ChildChain` | `getChildChain()`
    `Transaction` | `getFailedTransaction()`
    `NxtException.NotCurrentlyValidException` | `getFailureCause()`
    `long` | `getFeeRateNQTPerFXT()`
    `byte[]` | `getRecipientPublicKey()`
    `static Shuffler` | `getShuffler(long accountId, byte[] shufflingFullHash)`
    `byte[]` | `getShufflingFullHash()`
    `static java.util.List<Shuffler>` | `getShufflingShufflers(byte[] shufflingFullHash)`
    `static boolean` | `removeListener(Listener<Shuffler> listener, Shuffler.Event eventType)`
    `static void` | `stopAllShufflers()`
    `static Shuffler` | `stopShuffler(long accountId, byte[] shufflingFullHash)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addOrGetShuffler

          public static Shuffler addOrGetShuffler(ChildChain childChain,
                                                  java.lang.String secretPhrase,
                                                  byte[] recipientPublicKey,
                                                  byte[] shufflingFullHash,
                                                  long feeRateNQTPerFXT)
                                           throws Shuffler.ShufflerException

      Throws:
        `Shuffler.ShufflerException`

    - #### getAllShufflers

          public static java.util.List<Shuffler> getAllShufflers()

    - #### getShufflingShufflers

          public static java.util.List<Shuffler> getShufflingShufflers(byte[] shufflingFullHash)

    - #### getAccountShufflers

          public static java.util.List<Shuffler> getAccountShufflers(long accountId)

    - #### getShuffler

          public static Shuffler getShuffler(long accountId,
                                             byte[] shufflingFullHash)

    - #### stopShuffler

          public static Shuffler stopShuffler(long accountId,
                                              byte[] shufflingFullHash)

    - #### stopAllShufflers

          public static void stopAllShufflers()

    - #### addListener

          public static boolean addListener(Listener<Shuffler> listener,
                                            Shuffler.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<Shuffler> listener,
                                               Shuffler.Event eventType)

    - #### getAccountId

          public long getAccountId()

    - #### getRecipientPublicKey

          public byte[] getRecipientPublicKey()

    - #### getShufflingFullHash

          public byte[] getShufflingFullHash()

    - #### getFailedTransaction

          public Transaction getFailedTransaction()

    - #### getFeeRateNQTPerFXT

          public long getFeeRateNQTPerFXT()

    - #### getFailureCause

          public NxtException.NotCurrentlyValidException getFailureCause()

    - #### getChildChain

          public ChildChain getChildChain()